#pragma once

#ifndef EXPORT_MATLAB_HPP
#define EXPORT_MATLAB_HPP

#include <iostream>
#include <fstream>

template <typename DATA>
void export_matlab(const std::string& filename,const DATA& data)
{
    //Open file
    std::ofstream ofs(filename.c_str());

    //check file is open
    if(ofs.good()!=true)
    {
        std::cerr<<"Cannot open file "<<filename<<std::endl;
        exit(1);
    }

    //write header in Matlab style
    ofs<<"DATA=[";

    //write data in Matlab style
    typename DATA::const_iterator it    =data.begin();
    typename DATA::const_iterator it_end=data.end();
    for(;it!=it_end;++it)
    {
        std::string data_str=to_string(*it,";");
        ofs<<"["<<data_str<<"] ";
    }

    ofs<<"];";

    ofs.close();

}



#endif
